Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.portlet
Class PortletPreferencesMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.portlet.PortletPreferencesMetaData

    public class PortletPreferencesMetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletPreferencesMetaData()`
`PortletPreferencesMetaData(java.lang.String id)`

Method Summary
`void` | `addPortletPreference(PortletPreferenceMetaData preference)`
`java.lang.String` | `getId()`
`java.util.Map<java.lang.String,PortletPreferenceMetaData>` | `getPortletPreferences()`
`java.lang.String` | `getPreferenceValidator()`
`void` | `setId(java.lang.String id)`
`void` | `setPortletPreferences(java.util.Map<java.lang.String,PortletPreferenceMetaData> portletPreferences)`
`void` | `setPreferenceValidator(java.lang.String preferenceValidator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPreferencesMetaData

    public PortletPreferencesMetaData()

### PortletPreferencesMetaData

    public PortletPreferencesMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getPortletPreferences

    public java.util.Map<java.lang.String,PortletPreferenceMetaData> getPortletPreferences()

### setPortletPreferences

    public void setPortletPreferences(java.util.Map<java.lang.String,PortletPreferenceMetaData> portletPreferences)

### addPortletPreference

    public void addPortletPreference(PortletPreferenceMetaData preference)

### getPreferenceValidator

    public java.lang.String getPreferenceValidator()

### setPreferenceValidator

    public void setPreferenceValidator(java.lang.String preferenceValidator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.